<!-- useful.tpl                                                                    -->

<!--	 ***     NOTE: Web Crossing does not use this file in any way!!!       ***     -->

<!-- This file contains useful macros to extend the standard Web Crossing interface.  -->
<!-- You may copy portions of this file into webx.tpl, then edit them to suit your   -->
<!-- requirements for use with Web Crossing.                                         -->

<!-- (c) Copyright 1998 by Lundeen & Associates.                                  -->


<!------------------- Revision history -------------------------------------------------
19MAY98 tdl -- Initial file started with logout, lostPassword, and readLog
--------------------------------------------------------------------------------------->


<!------------------- lostPassword ----------------------------
This macro allows the "Lost Password" button on the login page to
automatically send an email message to the user with a new random
password.

(1) Put this macro in your webx.tpl file, and make sure the login macro is
		there as well (get it from standard.tpl if needed).
		
(2) Change the Lost Password button in the login macro to

	<a href="%% urlBase %%lostPassword@@"><img alt=" Lost Password " align=middle border=0 src="%% siteImages %%/lstpswd.gif" %% pictSizeButton %%></a>%%nop%%

(3) Make sure that e-mail services are enabled -- all you need to do is fill
		in the DNS IP address at the end of the sysop General Settings control panel.
		
(4) Reset webx.tpl cache (near the bottom of the sysop control panel)
		
(5) Test by creating a new test user with your e-mail address,
		then click on the "Lost Password" button, submit the form, and make sure you
		receive a message with the new password.
-->
%% macro lostPassword %%
%% set u userLookup( form.username.nameToFirstLast ) %%
%% if !u %%
	<HTML><HEAD>
	<!-- Page produced by %% programName %%(r)/%% platform %%-%% version %% (%% programPromo %%) for %% siteLicensee %%-->
	<!-- User interface (c)Copyright 1995-1998 by Lundeen & Associates. All rights reserved.-->
	<title>%% siteTitle %% - Order Settings</title></HEAD>
	<body %% background %%>%% preparedFor %%%% banner %%
	<center><h1>Lost Password</h1></center>
	<form name=lostPasswordForm method="POST" action="%% urlBase %%lostPassword@@">
	User name: <input name="username" type=text size=30 maxlength=50>%%nop%%
	<p><input type=submit value=" Get New Password ">
	<a href="mailto:%% sysopEmail %%"><img alt=" E-mail to Sysop " align=middle border=0 src="%% siteImages %%/emlsysop.gif" %% pictSizeButton %%></a>%%nop%%
	</form>
	%% footer %%</BODY></HTML>
	%% return %%
%% endif %%
<HTML><HEAD>
<!-- Page produced by %% programName %%(r)/%% platform %%-%% version %% (%% programPromo %%) for %% siteLicensee %%-->
<!-- User interface (c)Copyright 1995-1998 by Lundeen & Associates. All rights reserved.-->
<title>%% siteTitle %% - Order Settings</title></HEAD>
<body %% background %%>%% preparedFor %%%% banner %%
<center><h1>Lost Password</h1></center>
%% setAuthor( u ) %%
%% set password randomString %%
%% set x author.setUserPassword( password ) %%
%% set m
	"To: author.accountName<" & author.userEmail & ">" & crlf &
	"To: " & author.accountName & " <" & author.userEmail & ">" & crlf &
	"From: " & siteTitle & " <" & sysopEmail & ">" & crlf &
	"Subject: " & siteTitle & " - New Password" & crlf & crlf &
	"You have been given a new password." & crlf &
	crlf &
	"Your user name is: " & author.userName & crlf &
	"Your login password is: " & password & crlf &
	crlf %%
%% m.log %%
%% email( m ) %%
A new password has been sent to your e-mail address and should be there in a few minutes.
Please check your mail, and then come back and log in with the new password.
%% footer %%</BODY></HTML>
%% endmacro %%


<!------------------- logout ----------------------------
This macro logs out the current user (both cookies and Web Crossing certificate),
and then ask them to log in again.

Usage is
  <http://yoursite/...?logout@certificate@> or
  <http://yoursite/...?logout@@>
-->
%% macro logout %%
<HTML><HEAD>
<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %% (http://webx.lundeen.com/) for %% siteLicensee %%-->
<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->
<title>%% siteTitle %% - Logged Out %% pathTitle %%</title></HEAD>
<body %% background %%>%% preparedFor %%%% banner %%
%% if userUseCookies %%
	%% addResponseHttp( "Set-cookie: webxUser=""; path=/" ) %% 
%% endif %%
%% certificateLogout %%
<h1>Logged Out</h1><p>
You've been logged out - please visit again soon!
<form name=loginForm method="POST" action="%% urlBase %%23@%% certificate %%@%%actionPath%%" name=login
onSubmit="if( window.submitted ) return false; window.submitted = true; return true;">%%nop%%
<table>
<tr><td>Your name:</td>
<td><input name="username" type=text size=30 maxlength=50
%% if siteHasPasswordForm %%
	onblur="if( !window.submitted && this.value != '' ){ this.form.submit(); window.submitted = true; }"
%% endif %%><tr><td></tr>%%nop%%
%% if !siteHasPasswordForm %%
	<tr><td>Your password:</td>
	<td><input name="password" type=password size=30 maxlength=50
		onblur="if( !window.submitted && this.form.username.value != '' && this.value != '' )
			{ this.form.submit(); window.submitted = true; }"></td></tr>%%nop%%
%% endif %%
</table>
<br>%% if imgButton %%<input type=image NAME=" Login " ALT=" Login " BORDER=0 align=middle src="%% siteImages %%/login.gif" %% pictSizeButton %%>%%nop%%
%% else %%<input type=submit value=" Login "> %% endif %%
<a href="%% urlBase %%18@@%%actionPath%%"><img align=middle alt=" New User Registration " border=0 src="%% siteImages %%/newuser.gif" %% pictSizeButton %%></a>%%nop%%
<a href="%% urlBase %%13@@%%location%%"><img alt=" Guest Access " align=middle border=0 src="%% siteImages %%/gstlgin.gif" %% pictSizeButton %%></a>%%nop%%
<a href="mailto:%% sysopEmail %%"><img alt=" Lost Password " align=middle border=0 src="%% siteImages %%/lstpswd.gif" %% pictSizeButton %%></a>%%nop%%
<a href="mailto:%% sysopEmail %%"><img alt=" E-mail to Sysop " align=middle border=0 src="%% siteImages %%/emlsysop.gif" %% pictSizeButton %%></a>%%nop%%
</form>
<SCRIPT language="Javascript"><!--
document.forms.loginForm.username.focus();
window.submitted = false;
//-->
</SCRIPT>
%% if !siteHasPasswordForm %%
	<p>(You can <tt>Tab</tt> out of the password field to login automatically.)
%% endif %%

%% footer %%
</body></html>
%% endmacro %%


<!------------------- readLog ----------------------------
This macro reads the webx.log file and displays it as an HTML page.
Access is restricted to the sysop.

After installing this macro, the sysop can read the log file by

  <http://yoursite/...?readLog@sysop:passwd@>

Note that this isn't the best way to read large webx.log files:
if you use this, you will probably want to delete the webx.log file
periodically.
-->
%% macro readLog %%
<HTML><HEAD>
<!-- Page produced by Web Crossing(r)/%% platform %%-%% version %%
(http://webcrossing.com/) for %% siteLicensee %%-->
<!-- User interface (c)Copyright 1995-97 by Lundeen & Associates. All
rights reserved.-->
<title>%% siteTitle %% - Read Log File</title></HEAD>
<body %% background %%>%% banner %%<p> 
%% if userIsSysop %%
<h2>Log File (webx.log):</h2><p>
<pre>
%% file( "webx.log" )%%
</pre><p>   
%% else %%
Sorry, this command is available only to the sysop.<p>
%% endif %%
<a href="%% urlBase %%14@%% certificate %%@/"><img alt=" OK " border=0
src="%% siteImages %%/ok.gif" %% pictSizeButton %%></a>%%nop%%<p>
%% footer %%<br>
</body></html>
%% endmacro %%
