<!--
	survey.tpl is an example file for Web Crossing.
	
	It shows you how to take survey your users by using the
	Web Crossing Template Language (WCTL). For documentation on WCTL,
	see the Sysop Documentation <syswctl.htm>.
	
	For a description of how forms processing works in
	WCTL, see <syswctl.htm#Forms>.
	
	You can get to the Sysop Documentation through a link in the
	sysop control panel, or directly through the sysXXX.htm files
	shipped in the Images directory.

	*** Revision History ***
	28FEB97 mmk - Initial file started
-->

<!------------------- SurveyExample ---------------------------->
%% macro SurveyExample %%
<HTML><HEAD>
<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %% (http://webx.lundeen.com/) for %% siteLicensee %%-->
<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->
<title>%% siteTitle %% - Survey Example %% pathTitle %%</title></HEAD>
<body %% background %%>%% preparedFor %%%% banner %%
%% backpath %%<p> 
%% if !userIsRegistered %% 
	Only registered users may participate in the survey - you may login, register, or click OK to see the survey results<p>
	<a href="%% urlBase %%15@%% certificate %%@SurveyExample"><img alt=" Login " border=0 align=middle src="%% siteImages %%/login.gif" %% pictSizeButton %%></a>%%nop%%
	<a href="%% urlBase %%18@%% certificate %%@SurveyExample"><img alt=" Register " border=0 align=middle src="%% siteImages %%/newuser.gif" %% pictSizeButton %%></a>%%nop%%
	<a href="%% urlBase %%SurveyResult@%% certificate %%@%% location %%"><img alt=" OK " border=0 align=middle src="%% siteImages %%/ok.gif" %% pictSizeButton %%></a>%%nop%%
%% elseif user.interface || user.storage || user.os %%
	You have already participated in the survey. <p>
	<a href="%% urlBase %%SurveyResult@%% certificate %%@%% location %%"><img alt=" OK " border=0 align=middle src="%% siteImages %%/ok.gif" %% pictSizeButton %%></a>%%nop%%
%% else %%  
        <form method="POST" action="%% urlBase %%SurveyProcess@%% certificate %%@%%location%%">
        
        <b>User Interface: </b><p>
        Graphical (Windows, Mac, etc.): <input name="interface" type=radio value="gui"> <br>
        Command line (DOS, Unix shell):  <input name="interface" type=radio value="command"> <p>
        <p>   
        <b>Storage devices installed on your system: </b><p>
        <table><tr><td>
        <input name="cartridge" type=checkbox>Cartridge Drive</td><td><input name="cdrom" type=checkbox>CD-ROM drive</td></tr> 
        <tr><td><input name="tape" type=checkbox>Tape Drive</td><td><input name="worm" type=checkbox>WORM Drive</td></tr></table><p>
        <p>
        <b>Your preferred operating system: </b><select name="os" size=1><p>
        <option value="dos">DOS</option>
        <option value="mac">MacOS</option>
        <option value="unix">Unix</option>
        <option value="windows">Windows</option>
        <option value="other">other</option>
        </select>
        <p>
        
        %% if imgButton %%<input type=image NAME=" OK " BORDER=0 align=middle src="%% siteImages %%/ok.gif" %% pictSizeButton %%>%%nop%%
        %% else %%<input type=submit value=" OK "> %% endif %%   <p> 
        </form>  
%% endif %%
%% footer %%</BODY></HTML>
%% endmacro %%


<!------------------- SurveyProcess ---------------------------->
%% macro SurveyProcess%%
	%% if getValue "interface" == "gui"%%
		%% set site.gui site.gui + 1 %%
		%% set user.interface "gui" %%
	%% elseif getValue "interface" == "command" %%
		%% set site.command site.command + 1 %%
		%% set user.interface "command" %%
	%% endif %%  

	%% if getValue "cartridge"%%
		%% set site.cartridge site.cartridge + 1 %%
		%% set user.cartridge "true" %%
	%% endif %%  
	%% if getValue "cdrom"%%
		%% set site.cdrom site.cdrom + 1 %%
		%% set user.cdrom "true" %%
	%% endif %%  
	%% if getValue "tape"%%
		%% set site.tape site.tape + 1 %%
		%% set user.tape "true" %%
	%% endif %%  
	%% if getValue "worm"%%
		%% set site.worm site.worm + 1 %%
		%% set user.worm "true" %%
	%% endif %%  

	%% if getValue "os" == "dos"%%
		%% set site.dos site.dos + 1 %%
		%% set user.os "dos" %%
	%% elseif getValue "os" == "mac" %%
		%% set site.mac site.mac + 1 %%
		%% set user.os "mac" %%
	%% elseif getValue "os" == "unix" %%
		%% set site.unix site.unix + 1 %%
		%% set user.os "unix" %%
	%% elseif getValue "os" == "windows" %%
		%% set site.windows site.windows + 1 %%
		%% set user.os "windows" %%
	%% elseif getValue "os" == "other" %%
		%% set site.other site.other + 1 %%
		%% set user.os "other" %%
	%% endif %% 
%% use SurveyResult %% 
%%endmacro %%

<!------------------- SurveyResult ---------------------------->
%% macro SurveyResult%%
<HTML><HEAD>
<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %% (http://webx.lundeen.com/) for %% siteLicensee %%-->
<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->
<title>%% siteTitle %% - Chat Room Broadcast %% pathTitle %%</title></HEAD>
<body %% background %%>
%% backpath %%<p>  
<center><h3>Survey Results</h3></center><p>    
%% if userIsRegistered %%
	<b>Your choices:</b><p> 
	<table border=1><tr>
	<td>User Interface</td><td>%% if user.interface == "gui" %%graphical user interface%% elseif user.interface == "command" %%command line%% endif %%</td></tr><tr>
	<td>Cartridge Drive</td><td>%% if user.cartridge == "true" %%yes%% else %%no%% endif %%</td></tr><tr>
	<td>CD-ROM Drive</td><td>%% if user.cdrom == "true" %%yes%% else %%no%% endif %%</td></tr><tr>
	<td>Tape Drive</td><td>%% if user.tape == "true" %%yes%% else %%no%% endif %%</td></tr><tr>
	<td>WORM Drive</td><td>%% if user.worm == "true" %%yes%% else %%no%% endif %%</td></tr><tr>
	<td>Operating system</td><td>%% user.os %%</td></tr>
	</tr></table><p> 
%% endif %%
<b>Survey Totals:</b><p>
<table border=1><tr>
<td><b>User Interface</b></td><td>Total</td><td>Percentage</td></tr><tr>
<td>GUI</td><td>%%site.gui%%</td><td>%% (site.gui * 100) / (site.gui + site.command) %% %</td></tr><tr>
<td>Command Line</td><td>%%site.command%%</td><td>%% (site.command * 100) / (site.gui + site.command) %% %</td></tr>
</tr></table> 
<p>
<table border=1><tr>
<td><b>Storage Devices</b></td><td>Total</td><td>Percentage</td></tr><tr>
<td>Cartridge drive</td><td>%%site.cartridge%%</td><td>%% (site.cartridge * 100) / (site.cdrom + site.tape + site.worm + site.cartridge) %% %</td></tr><tr>
<td>CD-ROM drive</td><td>%%site.cdrom%%</td><td>%% (site.cdrom * 100) / (site.cdrom + site.tape + site.worm + site.cartridge) %% %</td></tr><tr>
<td>Tape drive</td><td>%%site.tape%%</td><td>%% (site.tape * 100) / (site.cdrom + site.tape + site.worm + site.cartridge) %% %</td></tr><tr>
<td>WORM drive</td><td>%%site.worm%%</td><td>%% (site.worm * 100) / (site.cdrom + site.tape + site.worm + site.cartridge) %% %</td></tr>
</tr></table> 
<p>
<table border=1><tr>
<td><b>Operating System</b></td><td>Total</td><td>Percentage</td></tr><tr>
<td>DOS</td><td>%%site.dos%%</td><td>%% (site.dos * 100) / (site.dos + site.mac + site.unix + site.windows + site.other) %% %</td></tr><tr>
<td>MacOS</td><td>%%site.mac%%</td><td>%% (site.mac * 100) / (site.dos + site.mac + site.unix + site.windows + site.other) %% %</td></tr><tr>
<td>Windows</td><td>%%site.windows%%</td><td>%% (site.windows * 100) / (site.dos + site.mac + site.unix + site.windows + site.other) %% %</td></tr><tr>
<td>Unix</td><td>%%site.unix%%</td><td>%% (site.unix * 100) / (site.dos + site.mac + site.unix + site.windows + site.other) %% %</td></tr><tr>
<td>Other</td><td>%%site.other%%</td><td>%% (site.other * 100) / (site.dos + site.mac + site.unix + site.windows + site.other) %% %</td></tr>
</tr></table> 
<p>
<a href="%% urlBase %%@%% certificate %%@/"><img alt=" OK " border=0 align=middle src="%% siteImages %%/ok.gif" %% pictSizeButton %%></a>%%nop%%
<p>
%% footer %%</BODY></HTML>
%% endmacro %%

